# Generated by Django 4.0.3 on 2022-03-18 14:13

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("district", "0044_remove_districtarticlepage_text_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="districthomepage",
            name="custom_logo",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="wagtailimages.image",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="flickr",
            field=models.URLField(
                blank=True,
                default="https://www.flickr.com/photos/pirati/",
                null=True,
                verbose_name="Flickr URL",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="instagram",
            field=models.URLField(
                blank=True,
                default="https://www.instagram.com/pirati.cz/",
                null=True,
                verbose_name="Instagram URL",
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="show_eshop_link",
            field=models.BooleanField(
                default=True, verbose_name="Zobrazit v záhlaví odkaz na pirátský eshop"
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="show_magazine_link",
            field=models.BooleanField(
                default=True, verbose_name="Zobrazit v záhlaví odkaz na pirátské listy"
            ),
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="show_pirati_cz_link",
            field=models.BooleanField(
                default=True, verbose_name="Zobrazit v záhlaví odkaz 'pirati.cz'"
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="contact_newcomers",
            field=models.URLField(
                blank=True,
                default="https://nalodeni.pirati.cz",
                null=True,
                verbose_name="URL pro zájemce o členství",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="donation_page",
            field=models.URLField(
                blank=True,
                default="https://dary.pirati.cz",
                null=True,
                verbose_name="URL pro příjem darů (tlačítko Přispěj)",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="facebook",
            field=models.URLField(
                blank=True,
                default="https://www.facebook.com/ceska.piratska.strana",
                null=True,
                verbose_name="Facebook URL",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="forum",
            field=models.URLField(
                blank=True,
                default="https://forum.pirati.cz/",
                null=True,
                verbose_name="Fórum URL",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="twitter",
            field=models.URLField(
                blank=True,
                default="https://www.twitter.com/PiratskaStrana",
                null=True,
                verbose_name="Twitter URL",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="youtube",
            field=models.URLField(
                blank=True,
                default="https://www.youtube.com/channel/UC_zxYLGrkmrYazYt0MzyVlA",
                null=True,
                verbose_name="YouTube URL",
            ),
        ),
    ]
